describe('WorkerPda', () => {
    const select = '[data-cy="pda-dialog-select"]';
    beforeEach(() => {
        cy.viewport(1920, 1080);
        cy.login('developer');
        cy.visit(`/#/worker/1110/pda`);
    });

    it('assign pda', () => {
        cy.addBtnClick();
        cy.get(select).click();
        cy.get(select).type('{downArrow}{enter}');
        cy.get('.q-notification__message').should('have.text', 'Data created');
    });

    it('delete pda', () => {
        cy.get('.btn-delete').click();
        cy.get(
            '.q-card__actions > .q-btn--unelevated > .q-btn__content > .block'
        ).click();
        cy.get('.q-notification__message').should('have.text', 'PDA deallocated');
    });
});
